build:
  stage: build
  before_script:
    - export IMAGE_NAME=$CI_REGISTRY_IMAGE
    - export IMAGE_TAG=$SERVICE_VERSION
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t $IMAGE_NAME:$IMAGE_TAG .
    - docker push $IMAGE_NAME:$IMAGE_TAG

